# Class LibGuestFSException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.redhat.et.libguestfs.LibGuestFSException

All Implemented Interfaces:
  `Serializable`

public class LibGuestFSException extends Exception
Libguestfs error class.

This exception is thrown when some error occurs when using the libguestfs library. The error message is always a simple printable string.

See Also:
  - `Exception`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LibGuestFSException(String msg)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LibGuestFSException

public LibGuestFSException(String msg)